## Tepl Initialization and Finalization Tepl Initialization and Finalization |

## Functions

void | tepl_init ()
void | tepl_finalize ()

## Includes

    #include <tepl/tepl.h>

## Description

## Functions

### tepl_init ()

    void
    tepl_init (void);

Initializes the Tepl library (e.g. for the internationalization).

This function can be called several times, but is meant to be called at the beginning of `main()`, before any other Tepl function call.

This function also calls `amtk_init()` and `gtk_source_init()`.

Since: 3.0

### tepl_finalize ()

    void
    tepl_finalize (void);

Free the resources allocated by Tepl. For example it unrefs the singleton objects. It also properly shutdowns the metadata manager by calling `tepl_metadata_manager_shutdown()`.

This function also calls `amtk_finalize()` and `gtk_source_finalize()`.

It is not mandatory to call this function, it's just to be friendlier to memory debugging tools (but if you don't call this function and you use the metadata manager, you should call `tepl_metadata_manager_shutdown()`). This function is meant to be called at the end of `main()`. It can be called several times.

Since: 3.0

## Types and Values